> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v2.2/wisej.web/editors/wisej.web.charactercasing.md).

# CharacterCasing

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (2.2.0.0)

Specifies the case of characters in a [TextBox](/api/v2.2/wisej.web/editors/wisej.web.textbox.md), [MaskedTextBox](/api/v2.2/wisej.web/editors/wisej.web.maskedtextbox.md), or a [ComboBox](/api/v2.2/wisej.web/lists-and-grids/wisej.web.combobox.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum CharacterCasing : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum CharacterCasing As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                             |
| -------------- | ------------------------------------------------------- |
| **Capitalize** | Converts the first character of each word to uppercase. |
| **Lower**      | Converts all characters to lowercase.                   |
| **Normal**     | The case of characters is left unchanged.               |
| **Upper**      | Converts all characters to uppercase.                   |

## Used By

| Name                                                                                                                                                   | Description                                                                                                                                                    |
| ------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ComboBox.CharacterCasing](/api/v2.2/wisej.web/lists-and-grids/wisej.web.combobox.md#charactercasing)                                                  | Returns or sets whether the [ComboBox](/api/v2.2/wisej.web/lists-and-grids/wisej.web.combobox.md) control modifies the case of characters as they are typed.   |
| [MaskedTextBox.CharacterCasing](/api/v2.2/wisej.web/editors/wisej.web.maskedtextbox.md#charactercasing)                                                | Returns or sets whether the [MaskedTextBox](/api/v2.2/wisej.web/editors/wisej.web.maskedtextbox.md) control modifies the case of characters as they are typed. |
| [TextBox.CharacterCasing](/api/v2.2/wisej.web/editors/wisej.web.textbox.md#charactercasing)                                                            | Returns or sets whether the [TextBox](/api/v2.2/wisej.web/editors/wisej.web.textbox.md) control modifies the case of characters as they are typed.             |
| [DataGridViewComboBoxCell.CharacterCasing](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcell.md#charactercasing)     | Returns or sets whether the cell editor modifies the case of characters as they are typed.                                                                     |
| [DataGridViewComboBoxColumn.CharacterCasing](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md#charactercasing) | Returns or sets whether the cell editor modifies the case of characters as they are typed.                                                                     |
| [DataGridViewTextBoxCell.CharacterCasing](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtextboxcell.md#charactercasing)       | Returns or sets whether the cell editor modifies the case of characters as they are typed.                                                                     |
| [DataGridViewTextBoxColumn.CharacterCasing](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtextboxcolumn.md#charactercasing)   | Returns or sets whether the cell editor modifies the case of characters as they are typed.                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v2.2/wisej.web/editors/wisej.web.charactercasing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
